<?php
/**
 * Class for Demo Import
 *
 * @package Wen_Biz
 */

/**
 * Demo Import class.
 *
 * @since 1.1
 */
class Wen_Biz_Demo_Import {

	function __construct() {
		add_filter( 'cp-ctdi/import_files', array( $this, 'import_files' ) );
		add_action( 'cp-ctdi/after_import', array( $this, 'after_import_setup' ) );
		add_filter( 'ocdi/import_files', array( $this, 'import_files' ) );
		add_action( 'ocdi/after_import', array( $this, 'after_import_setup' ) );
	}

	function import_files() {
		return array(
			array(
				'import_file_name'           => esc_html__( 'WEN Biz Pro', 'wen-biz-pro' ),
				'import_file_url'            => get_template_directory_uri() . '/inc/support/ctdi/wen-biz-pro.xml',
				'import_widget_file_url'     => get_template_directory_uri() . '/inc/support/ctdi/wen-biz-pro.wie',
				'import_customizer_file_url' => get_template_directory_uri() . '/inc/support/ctdi/wen-biz-pro.dat',
				'import_preview_image_url'   => get_template_directory_uri() . '/screenshot.png',
				'preview_url'                => 'https://demo.wenthemes.com/wen-biz-pro/',
			),
		);
	}

	function after_import_setup() {

		// Assign menus to their locations.
		$primary_menu      = get_term_by( 'name', 'primary menu', 'nav_menu' );
		$social_top_menu   = get_term_by( 'name', 'social', 'nav_menu' );
		$footer_menu 	   = get_term_by( 'name', 'footer-copyright-menu', 'nav_menu' );
		set_theme_mod(
			'nav_menu_locations',
			array(
				'menu-1'      	=> $primary_menu->term_id,
				'social-top'    => $social_top_menu->term_id,
				'menu-footer'   => $footer_menu->term_id,
			)
		);

		// Assign front page and posts page (blog page).
		$front_page_id = get_page_by_title( 'Home' );
		$blog_page_id  = get_page_by_title( 'Blog' );
		update_option( 'show_on_front', 'page' );
		update_option( 'page_on_front', $front_page_id->ID );
		update_option( 'page_for_posts', $blog_page_id->ID );
	}
}

// Initialize.
$wen_biz_ctdi = new Wen_Biz_Demo_Import();
