<?php

/**
 * Template part for displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Wen_Biz
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('grid-item'); ?>>
	<div class="post-wrapper hentry-inner">
		<?php wen_biz_archive_image(); ?>

		<div class="entry-container">
			<header class="entry-header">
				<?php if (is_sticky()) { ?>
					<span class="sticky-post">
						<span><?php esc_html_e('Featured', 'wen-biz-pro'); ?></span>
					</span>
				<?php } ?>

				<?php
				if (is_singular()) :
					the_title('<h1 class="entry-title">', '</h1>');
				else :
					the_title('<h2 class="entry-title"><a href="' . esc_url(get_permalink()) . '" rel="bookmark">', '</a></h2>');
				endif; ?>

				<?php if ('post' === get_post_type()) : ?>
					<div class="entry-meta">
						<?php wen_biz_posted_on(); ?>
						<?php wen_biz_by_line(); ?>
						<?php wen_biz_cat_list(); ?>
					</div><!-- .entry-meta -->
				<?php
				endif; ?>
			</header><!-- .entry-header -->

			<div class="entry-summary">
				<?php
				$archive_layout = get_theme_mod('wen_biz_content_layout', 'excerpt');

				if ('full-content-custom' === $archive_layout || 'full-content' === $archive_layout) {
					/* translators: %s: Name of current post. Only visible to screen readers */
					the_content(sprintf(
						wp_kses(

							__('Continue reading<span class="screen-reader-text"> "%s"</span>', 'wen-biz-pro'),
							array(
								'span' => array(
									'class' => array(),
								),
							)
						),
						get_the_title()
					));

					wp_link_pages(array(
						'before' => '<div class="page-links">' . esc_html__('Pages:', 'wen-biz-pro'),
						'after'  => '</div>',
					));
				} else {
					the_excerpt();
				}
				?>
			</div><!-- .entry-summary -->
		</div><!-- .entry-container -->
	</div><!-- .hentry-inner -->
</article><!-- #post-<?php the_ID(); ?> -->
