<?php
/**
 * The template for displaying featured image content
 *
 * @package Wen_Biz
 */

$wen_biz_quantity = get_theme_mod( 'wen_biz_featured_content_number', 3 );

for ( $i = 1; $i <= $wen_biz_quantity; $i++ ) {
	$wen_biz_target = get_theme_mod( 'wen_biz_featured_content_target_' . $i ) ? '_blank' : '_self';

	$wen_biz_link = get_theme_mod( 'wen_biz_featured_content_link_' . $i ) ? get_theme_mod( 'wen_biz_featured_content_link_' . $i ) : '#';

	if ( function_exists( 'qtrans_convertURL' ) ) {
		$wen_biz_link = qtrans_convertURL( $wen_biz_link );
	}

	echo '
	<article id="featured-post-' . esc_attr( $i ) . '" class="hentry featured-image-content">
		<div class="hentry-inner">';

			$wen_biz_title   = get_theme_mod( 'wen_biz_featured_content_title_' . $i );
			$content = get_theme_mod( 'wen_biz_featured_content_content_' . $i );
			$wen_biz_button_text = get_theme_mod( 'wen_biz_featured_content_text_' . $i );
			$image = get_theme_mod( 'wen_biz_featured_content_image_' . $i ) ? get_theme_mod( 'wen_biz_featured_content_image_' . $i ) :  trailingslashit( esc_url( get_template_directory_uri() ) );
			if ( $image ) {
				echo '
				<a href="' . esc_url( $wen_biz_link ) . '" class="post-thumbnail" target="' . esc_attr( $wen_biz_target ) . '">
					<img src="' . esc_url( $image ) . '" class="wp-post-image" alt="' . esc_attr( $wen_biz_title ) . '" title="' . esc_attr( $wen_biz_title ) . '">
				</a>';
			}
			
			if ( $wen_biz_title || $content ) {
				echo '
				<div class="entry-container">';

				if ( $wen_biz_title ) {
					echo '
					<header class="featured-content entry-header">
						<h2 class="entry-title">
							<a href="' . esc_url( $wen_biz_link ) . '" rel="bookmark" target="' . esc_attr( $wen_biz_target ) . '">' . wp_kses_post( $wen_biz_title ) . '</a>
						</h2>
					</header>';
				}

				if ( '' !== $content ) {
					echo '
					<div class="entry-summary">' . wp_kses_post( apply_filters( 'the_content', $content ) );
					if ( '' !== $wen_biz_button_text ) {
					echo '
					<span class="more-button"><a href="' . esc_url( $wen_biz_link ) . '" class="more-link">' . esc_html( $wen_biz_button_text ) . '<span class="screen-reader-text">' . wp_kses_post( $wen_biz_title ) .'</span></a></span>';
					}
					echo '
					</div><!-- .entry-summary -->';
				}

				echo '
				</div><!-- .entry-container -->';
			}

		echo '
		</div><!-- .hentry-inner -->
	</article><!-- .featured-post-' . esc_attr( $i ) . ' -->';
} // End for().
