<?php
/**
 * The template used for displaying gallery
 *
 * @package Wen_Biz
 */

$wen_biz_type    = get_theme_mod( 'wen_biz_gallery_type', 'page' );
$wen_biz_tagline = get_theme_mod( 'wen_biz_gallery_tagline' );

if ( 'page' === $wen_biz_type && $wen_biz_id = get_theme_mod( 'wen_biz_gallery' ) ) {
	$wen_biz_args['page_id'] = absint( $wen_biz_id );
} elseif ( 'post' === $wen_biz_type && $wen_biz_id = get_theme_mod( 'wen_biz_gallery_post' ) ) {
	$wen_biz_args['p'] = absint( $wen_biz_id );
} elseif ( 'category' === $wen_biz_type && $wen_biz_cat = get_theme_mod( 'wen_biz_gallery_category' ) ) {
	$wen_biz_args['cat'] = absint( $wen_biz_cat );
	$wen_biz_args['posts_per_page'] = 1;
}

// If $wen_biz_args is empty return false.
if ( empty( $wen_biz_args ) ) {
	return;
}

// Create a new WP_Query using the argument previously created.
$gallery_query = new WP_Query( $wen_biz_args );
if ( $gallery_query->have_posts() ) :
	while ( $gallery_query->have_posts() ) :
		$gallery_query->the_post();

		$wen_biz_classes[] = '';

		if ( ! get_theme_mod( 'wen_biz_display_gallery_title' ) && ! $wen_biz_tagline ) {
			$wen_biz_classes[] = 'no-section-heading';
		}
		$wen_biz_text   = get_theme_mod( 'wen_biz_gallery_text' );
		if ( '' == $wen_biz_text ) {
			$wen_biz_classes[] = 'no-view-more-button';
		}
		?>
		<div id="gallery-section" class="gallery-section section <?php echo esc_attr( implode( ' ', $wen_biz_classes ) ); ?>">
			<div class="wrapper">
				<?php if ( get_theme_mod( 'wen_biz_display_gallery_title' ) || $wen_biz_tagline ) : ?>
				<div class="section-heading-wrapper featured-section-headline">
					<?php if ( $wen_biz_tagline ) : ?>
						<div class="section-tagline">
							<?php echo wp_kses_post( $wen_biz_tagline ); ?>
						</div><!-- .section-tagline -->
					<?php endif; ?>

					<?php if ( get_theme_mod( 'wen_biz_display_gallery_title', 1 ) ) : ?>
						<header class="entry-header">
							<h2 class="entry-title">
								<?php the_title(); ?>
							</h2>
						</header><!-- .entry-header -->
					<?php endif; ?>
				</div><!-- .section-heading-wrapper -->
				<?php endif; ?>
				<div class="section-content-wrapper gallery-content-wrapper">
					<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
						<div class="hentry-inner">
							<div class="entry-container">
								<div class="entry-content">
									<?php the_content(); ?>
								</div><!-- .entry-content -->

								<?php if ( get_edit_post_link() ) : ?>
									<footer class="entry-footer">
										<div class="entry-meta">
											<?php
												edit_post_link(
													sprintf(
														/* translators: %s: Name of current post */
														esc_html__( 'Edit %s', 'wen-biz-pro' ),
														the_title( '<span class="screen-reader-text">"', '"</span>', false )
													),
													'<span class="edit-link">',
													'</span>'
												);
											?>
										</div>	<!-- .entry-meta -->
									</footer><!-- .entry-footer -->
								<?php endif; ?>
							</div><!-- .entry-container -->
						</div><!-- .hentry-inner -->
					</article>
				</div><!-- .section-content-wrapper -->
			</div><!-- .wrapper -->
			<?php
			$wen_biz_target = get_theme_mod( 'wen_biz_gallery_target' ) ? '_blank': '_self';
			$wen_biz_link   = get_theme_mod( 'wen_biz_gallery_link', '#' );
			$wen_biz_text   = get_theme_mod( 'wen_biz_gallery_text' );
			if ( $wen_biz_text ) :
			?>
				<p class="view-more">
					<a class="button" target="<?php echo $wen_biz_target; ?>" href="<?php echo esc_url( $wen_biz_link ); ?>"><?php echo esc_html( $wen_biz_text ); ?></a>
				</p>
			<?php endif; ?>
		</div><!-- .section -->
		<?php
	endwhile;
	wp_reset_postdata();
endif;
