<?php

/**
 * Displays header top bar
 *
 * @package Wen_Biz
 */

if (!get_theme_mod('wen_biz_disable_header_top')) {
	// Bail if Header top is disabled.
	return;
}

$social_left = get_theme_mod('wen_biz_social_menu_left', 0);
$date     	 = get_theme_mod('wen_biz_display_date');
$link_text 	 = get_theme_mod('wen_biz_header_top_link_text');
$email     	 = get_theme_mod('wen_biz_email', esc_html__('someone@somewhere.com', 'wen-biz-pro'));
$address   	 = get_theme_mod('wen_biz_address', esc_html__(' Boston, MA, USA ', 'wen-biz-pro'));
$phone     	 = get_theme_mod('wen_biz_phone', esc_html__('123-456-7890', 'wen-biz-pro'));

$classes[] = '';
if ($social_left) {
	$classes[] = 'social-on-left';
}

$classes[] = 'header-top-bar';

$class[]   = 'top-main-wrapper';
if ($social_left) {
	if (!$address && !$phone && !$link_text && !$date) {
		$class[] = 'no-header-top-right';
	}

	if (!has_nav_menu('social-top') && !$email) {
		$class[] = 'no-header-top-left';
	}
} else {
	if (!$address && !$phone && !$link_text && !$date) {
		$class[] = 'no-header-top-left';
	}

	if (!has_nav_menu('social-top') && !$email) {
		$class[] = 'no-header-top-right';
	}
}
?>

<div id="header-top" class="<?php echo esc_attr(implode(' ', $classes)); ?>">
	<div class="wrapper">
		<button id="menu-toggle-top" class="menu-top-toggle menu-toggle" aria-controls="top-menu" aria-expanded="false">
			<?php echo wen_biz_get_svg(array('icon' => 'bars'));
			echo wen_biz_get_svg(array('icon' => 'close'));

			if ($label = get_theme_mod('wen_biz_header_top_menu_label', esc_html__('Top Bar', 'wen-biz-pro'))) : ?>
				<span class="header-top-label menu-label"><?php echo esc_html($label); ?></span>
			<?php endif; ?>
		</button>

		<div id="site-header-top-menu" class="site-header-top-main">
			<div class="<?php echo esc_attr(implode(' ', $class)); ?>">
				<!-- Header Top Left -->
				<?php get_template_part('template-parts/header-top/contact-details-top'); ?>

				<!-- Header Top Right -->
				<?php get_template_part('template-parts/navigation/navigation-social-top'); ?>
			</div><!-- .top-main-wrapper -->
		</div><!-- .site-header-top-main -->
	</div><!-- .wrapper -->
</div><!-- #header-top -->
