<?php
/**
 * The template used for displaying hero content
 *
 * @package Wen_Biz
 */

$wen_biz_classes[] = 'hero-section';
$wen_biz_classes[] = 'section';
$wen_biz_classes[] = get_theme_mod( 'wen_biz_hero_content_img_align', 'content-align-right' );
$wen_biz_classes[] = get_theme_mod( 'wen_biz_hero_content_txt_align', 'text-align-left' );

?>
<div id="hero-section" class="<?php echo esc_attr( implode( ' ', $wen_biz_classes ) ); ?>">
	<div class="wrapper">
		<div class="section-content-wrapper hero-content-wrapper">
			<?php $image = get_theme_mod( 'wen_biz_hero_content_image' ); 
				 $wen_biz_title   = get_theme_mod( 'wen_biz_hero_content_title' ); ?>
			<article id="post-0" class="hentry<?php echo $image ? ' has-post-thumbnail' : ''; ?>">
				<div class="hentry-inner">
					<?php
					if ( $image ) : ?>
						<div class="post-thumbnail">
							<?php
							$wen_biz_link   = get_theme_mod( 'wen_biz_hero_content_link', '#' );
							$wen_biz_target = get_theme_mod( 'wen_biz_hero_content_target' ) ? '_blank' : '_self';
							?>

							<a class="cover-link" href="<?php echo esc_url( $wen_biz_link ); ?>" title="<?php echo esc_attr( $wen_biz_title ); ?>" target="<?php echo esc_attr( $wen_biz_target ); ?>"><img src="<?php echo esc_url( $image ); ?>" class="wp-post-image" loading="lazy"></a>
						</div><!-- .post-thumbnail -->
						<div class="entry-container">
					<?php
					else: ?>
					<div class="entry-container full-width">
					<?php endif; ?>

					<?php
					$wen_biz_tagline = get_theme_mod( 'wen_biz_hero_content_tagline' );
					
					if ( $wen_biz_title || $wen_biz_tagline ) : ?>
						<header class="entry-header section-title-wrapper">
							<?php if ( $wen_biz_tagline ) : ?>
								<div class="section-tagline">
									<?php echo wp_kses_post( $wen_biz_tagline ); ?>
								</div><!-- .section-tagline -->
							<?php endif; ?>

							<?php if ( $wen_biz_title ) : ?>
							<h2 class="entry-title">
								<?php echo wp_kses_post( $wen_biz_title ); ?>
							</h2>
							<?php endif; ?>
						</header><!-- .entry-header -->
					<?php endif; ?>

					<?php if ( $content = get_theme_mod( 'wen_biz_hero_content_content' ) ) : ?>
						<div class="entry-content">
							<?php echo wp_kses_post( apply_filters( 'the_content', $content ) ); ?>
							<?php 
							$block_one_title = get_theme_mod( 'wen_biz_hero_content_block_one_title' );
							$block_one_image = get_theme_mod( 'wen_biz_hero_content_block_one_image' );
							$block_one_content = get_theme_mod( 'wen_biz_hero_content_block_one_content' );
							$block_two_title = get_theme_mod( 'wen_biz_hero_content_block_two_title' );
							$block_two_image = get_theme_mod( 'wen_biz_hero_content_block_two_image' );
							$block_two_content = get_theme_mod( 'wen_biz_hero_content_block_two_content' ); ?>
							<?php if ( $block_one_title || $block_one_image || $block_one_content ) : ?>
								<div class="block-one">
									<?php if ( $block_one_image ) : ?>
										<img src="<?php echo esc_url( $block_one_image ); ?>">
									<?php endif; ?>
									<div class="block-content-wrapper">	
										<?php if ( $block_one_title ) : ?>
											<span class="block-one-title">
												<?php echo wp_kses_post( $block_one_title ); ?>
											</span>
										<?php endif; ?>	
										<?php echo wpautop( wp_kses_post( $block_one_content ) ); ?>
									</div>
								</div>
							<?php endif; ?>
							<?php if ( $block_two_title || $block_two_image || $block_two_content ) : ?>
								<div class="block-two">
									<?php if ( $block_two_image ) : ?>
										<img src="<?php echo esc_url( $block_two_image ); ?>">
									<?php endif; ?>	
									<div class="block-content-wrapper">
										<?php if ( $block_two_title ) : ?>
											<span class="block-two-title">
												<?php echo wp_kses_post( $block_two_title ); ?>
											</span>
										<?php endif; ?>		
										<?php echo wpautop( wp_kses_post( $block_two_content ) ); ?>
									</div>
								</div>
							<?php endif; ?>

							<?php
							$more_text   = get_theme_mod( 'wen_biz_hero_content_more_text' );
							$more_link   = get_theme_mod( 'wen_biz_hero_content_more_link', '#' );
							$more_target = get_theme_mod( 'wen_biz_hero_content_more_target' ) ? '_blank' : '_self' ;

							if ( $more_text ) : ?>
							<p>
								<span class="more-button">
									<a class="more-link" href="<?php echo esc_url( $more_link ); ?>" target="<?php echo esc_attr( $more_target ); ?>">
										<span><?php echo esc_html( $more_text ); ?></span>
									</a>
								</span>
							</p>
							<?php
							endif;
							?>
						</div><!-- .entry-content -->
					<?php endif; ?>
					</div><!-- .entry-container -->
				</div><!-- .hentry-inner -->
			</article>
		</div><!-- .section-content-wrapper -->
	</div><!-- .wrapper -->
</div><!-- .section -->
