<?php
/**
 * The template used for displaying simage/custom lider
 *
 * @package Wen_Biz
 */

$wen_biz_quantity 	   = get_theme_mod( 'wen_biz_logo_slider_number', 6 );
$display_title = get_theme_mod( 'wen_biz_display_title', 0 );

$output = '';

for ( $i = 1; $i <= $wen_biz_quantity; $i++ ) {
	$image = get_theme_mod( 'wen_biz_logo_slider_image_' . $i );

	// Check Image Not Empty to add in the slides.
	if ( $image ) {
		$imagetitle = get_theme_mod( 'wen_biz_logo_slider_title_' . $i ) ? get_theme_mod( 'wen_biz_logo_slider_title_' . $i ) : '';

		$wen_biz_title  = '';
		$wen_biz_link   = get_theme_mod( 'wen_biz_logo_slider_link_' . $i );
		$wen_biz_target = get_theme_mod( 'wen_biz_logo_slider_target_' . $i ) ? '_blank' : '_self';

		if( $display_title ) :
			$wen_biz_title = '<header class="entry-header"><h2 class="entry-title"><span>' . esc_html( $imagetitle ) . '</span></h2></header>';
		 endif;

		if ( $wen_biz_link ) {
			$wen_biz_title = '<header class="entry-header"><h2 class="entry-title"><a title="' . esc_attr( $imagetitle ) . '" href="' . esc_url( $wen_biz_link ) . '" target="' . $wen_biz_target . '"><span>' . esc_html( $imagetitle ) . '</span></a></h2></header>';
		}

		$content = get_theme_mod( 'wen_biz_logo_slider_content_' . $i ) ? '<div class="entry-summary"><p>' . get_theme_mod( 'wen_biz_logo_slider_content_' . $i ) . '</p></div><!-- .entry-summary -->' : '';

		$contentopening = '';
		$contentclosing = '';

		// Content Opening and Closing.
		if ( ! empty( $wen_biz_title ) || ! empty( $content ) ) {
			$contentopening = '<div class="entry-container">';
			$contentclosing = '</div><!-- .entry-container -->';
		}

		$output .= '
		<article class="image-slides hentry logo_slider-image images-' . esc_attr( $i ) . ' slides">
			<div class="hentry-inner">
				<div class="post-thumbnail">
					<a href="' . esc_url( $wen_biz_link ) . '" title="' . esc_attr( $imagetitle ) . ' "target="' . $wen_biz_target . '">
						<img src="' . esc_url( $image ) . '" class="wp-post-image" alt="' . esc_attr( $imagetitle ) . '">
					</a>
				</div>
				' . $contentopening . $wen_biz_title . $content . $contentclosing . '
			</div><!-- .hentry-inner -->
		</article><!-- .slides -->';
	} // End if ().
} // End for().
echo $output;
