<?php
/**
 * The template used for displaying logo_slider
 *
 * @package Wen_Biz
 */
?>
<?php
$wen_biz_enable_logo_slider = get_theme_mod( 'wen_biz_logo_slider_option', 'disabled' );

if ( ! wen_biz_check_section( $wen_biz_enable_logo_slider ) ) {
	return;
}

$wen_biz_type    = get_theme_mod( 'wen_biz_logo_slider_type', 'category' );
$wen_biz_title   = get_theme_mod( 'wen_biz_logo_slider_title');
$wen_biz_tagline = get_theme_mod( 'wen_biz_logo_slider_sub_title' );

$wen_biz_classes[] = 'wen-biz-logo-slider-section section';

if ( ! $wen_biz_title && ! $wen_biz_tagline ) {
	$wen_biz_classes[] = 'no-section-heading';
}
?>
<div id="wen-biz-logo-slider-section" class="<?php echo esc_attr( implode( ' ', $wen_biz_classes ) ); ?>">
	<div class="wrapper">
		<?php wen_biz_section_heading( $wen_biz_tagline, $wen_biz_title ); ?>

		<div class="section-content-wrapper wen-biz-logo-slider-content-wrapper owl-carousel<?php echo esc_attr(  get_theme_mod( 'wen_biz_logo_slider_dots', 0 ) ? '' : ' owl-dots-enabled' ); ?>">
			<?php
			// Select Slider
			if ( 'post' === $wen_biz_type || 'page' === $wen_biz_type || 'category' === $wen_biz_type ) {
				get_template_part( 'template-parts/logo-slider/post-type-logo-slider' );
			} elseif ( 'custom' === $wen_biz_type ) {
				get_template_part( 'template-parts/logo-slider/custom-logo-slider' );
			}
			?>
		</div><!-- .section-content-wrapper  -->
	</div><!-- .wrapper -->
</div><!-- #wen-biz-logo-slider-section -->
