<?php
/**
 * Displays Footer Navigation
 *
 * @package Wen_Biz
 */

 if ( has_nav_menu( 'menu-footer' ) || has_nav_menu( 'social-footer' ) ) : ?>
	<div id="footer-menu-section" class="site-footer-menu">

			<?php if ( has_nav_menu( 'menu-footer' ) ) : ?>
				<nav id="site-footer-navigation" class="footer-navigation site-navigation" role="navigation" aria-label="<?php esc_attr_e( 'Footer Menu', 'wen-biz-pro' ); ?>">
					<?php
						wp_nav_menu( array(
							'theme_location' => 'menu-footer',
							'menu_class'     => 'footer-menu',
							'depth'          => 1,
						 ) );
					?>
				</nav><!-- .main-navigation -->
			<?php endif; ?>

			<?php if ( has_nav_menu( 'social-footer' ) ) : ?>
				<nav id="social-footer-navigation" class="social-navigation" role="navigation" aria-label="<?php esc_attr_e( 'Footer Social Links Menu', 'wen-biz-pro' ); ?>">
					<?php
						wp_nav_menu( array(
							'theme_location' => 'social-footer',
							'menu_class'     => 'social-links-menu',
							'depth'          => 1,
							'link_before'     => '<span class="screen-reader-text">',
							'link_after'      => '</span>' . wen_biz_get_svg( array( 'icon' => 'chain' ) ),
						) );
					?>
				</nav><!-- .social-navigation -->
			<?php endif; ?>
	</div><!-- #footer-menu-section -->
<?php endif;
