<?php

/**
 * Displays social top navigation
 *
 * @package Wen_Biz
 */

$email = get_theme_mod('wen_biz_email', esc_html__('someone@somewhere.com', 'wen-biz-pro'));

if ( ! has_nav_menu('social-top') && ! $email) {
	// Bail if there is no social top.
	return;
}
?>
<div class="header-top-right">
	<?php if ($email) : ?>
		<ul class="contact-details">
			<li class="contact-email">
				<a href="mailto:<?php echo esc_attr(antispambot($email)); ?>">
					<?php echo wen_biz_get_svg(array('icon' => 'envelope'));
					echo esc_html(antispambot($email)) ?>
				</a>
			</li>
		</ul>
	<?php endif; 

	if( has_nav_menu('social-top') ) : ?>
		<nav id="social-navigation" class="social-navigation" role="navigation" aria-label="<?php esc_attr_e('Social Links Menu', 'wen-biz-pro'); ?>">
			<?php
			wp_nav_menu(array(
				'theme_location' => 'social-top',
				'menu_class'     => 'social-links-menu',
				'depth'          => 1,
				'link_before'    => '<span class="screen-reader-text">',
				'link_after'     => '</span>',
				'link_after'       => '</span>' . wen_biz_get_svg(array('icon' => 'chain')),
			));
			?>
		</nav><!-- .social-navigation -->
	<?php endif; ?>
</div><!-- .header-top-right -->
