<?php
/**
 * The template used for displaying projects on index view
 *
 * @package Wen_Biz
 */

$show_title = get_theme_mod( 'wen_biz_portfolio_display_title', 1 );
$show_meta  = get_theme_mod( 'wen_biz_portfolio_meta_show', 1 );
$layout     = get_theme_mod( 'wen_biz_portfolio_layout', 'layout-four' );

global $post;

$classes = 'grid-item';

if ( ! $show_title ) {
	$classes .= ' no-title';
}

if ( ! $show_meta ) {
	$classes .= ' no-meta';
}
?>

<article id="portfolio-post-<?php the_ID(); ?>" <?php post_class( esc_attr( $classes ) ); ?>>
	<div class="hentry-inner">
		<?php wen_biz_post_thumbnail( array( 666, 666 ) ); ?>
		<?php if ( $show_title || $show_meta ) : ?>
		<div class="entry-container">
			<div class="inner-wrap">
				<header class="entry-header">
					<?php if ( $show_title ) : ?>
					<?php the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' ); ?>
					<?php endif; ?>

					<?php if ( $show_meta ) : ?>
					<div class="entry-meta">
						<?php wen_biz_posted_on(); ?>
					</div>
					<?php endif; ?>
				</header>
			</div>
		</div><!-- .entry-container -->
		<?php endif; ?>
	</div><!-- .hentry-inner -->
</article>
