<?php
/**
 * The template for displaying portfolio items
 *
 * @package Wen_Biz
 */
?>

<?php
$number = get_theme_mod( 'wen_biz_portfolio_number', 6 );

if ( ! $number ) {
	// If number is 0, then this section is disabled
	return;
}

$slider_select = get_theme_mod( 'wen_biz_portfolio_slider', 1 );

for ( $i = 1; $i <= $number; $i++ ) {
	$target = get_theme_mod( 'wen_biz_portfolio_target_' . $i ) ? '_blank': '_self';
	$wen_biz_title  = get_theme_mod( 'wen_biz_portfolio_title_' . $i );
	$image  = get_theme_mod( 'wen_biz_portfolio_image_' . $i );
	$wen_biz_link   = get_theme_mod( 'wen_biz_portfolio_link_' . $i, '#' );

	if ( function_exists( 'qtrans_convertURL' ) ) {
		$wen_biz_link = qtrans_convertURL( $wen_biz_link );
	}

	?>
	<article id="portfolio-post-<?php echo esc_attr( $i ) ?>" class="hentry post-image grid-item">
		<div class="hentry-inner">
			<?php if ( $image ) : ?>
			<div class="portfolio-thumbnail post-thumbnail">
				<?php if ( $wen_biz_link ) : ?>
				<a class="post-thumbnail" href="<?php echo esc_url( $wen_biz_link ); ?>" target="<?php echo $target; ?>">
				<?php endif; ?>
					<img src="<?php echo esc_url( $image ); ?>" class="wp-post-image" alt="<?php echo esc_attr( $wen_biz_title ); ?>" title="<?php echo esc_attr( $wen_biz_title ); ?>">
				<?php if ( $wen_biz_link ) : ?>
				</a>
				<?php endif; ?>
			</div>
			<?php endif; ?>

			<div class="entry-container">
				<div class="inner-wrap">
					<?php
					if ( $wen_biz_title ) : ?>
					<header class="entry-header">
						<h2 class="entry-title">
							<?php if ( $wen_biz_link ) : ?>
							<a class="post-thumbnail" href="<?php echo esc_url( $wen_biz_link ); ?>" target="<?php echo $target; ?>">
							<?php endif; ?>
								<?php echo wp_kses_post( $wen_biz_title ); ?>
							<?php if ( $wen_biz_link ) : ?>
							</a>
							<?php endif; ?>
						</h2>
					</header>
					<?php endif; ?>
				</div><!-- .inner-wrap -->
			</div><!-- .entry-container -->
		</div><!-- .hentry-inner -->
	</article>
<?php
}
