<?php
/**
 * The template for displaying portfolio items
 *
 * @package Wen_Biz
 */
?>

<?php
$number = get_theme_mod( 'wen_biz_portfolio_number', 6 );

if ( ! $number ) {
	// If number is 0, then this section is disabled
	return;
}

$args = array(
	'ignore_sticky_posts' => 1 // ignore sticky posts
);

$post_list  = array();// list of valid post/page ids

$no_of_post = 0; // for number of posts

$wen_biz_type = get_theme_mod( 'wen_biz_portfolio_type', 'category' );

if ( 'post' === $wen_biz_type || 'page' === $wen_biz_type  ) {
	$args['post_type'] = $wen_biz_type;

	for ( $i = 1; $i <= $number; $i++ ) {
		$wen_biz_post_id = '';

		if ( 'post' === $wen_biz_type ) {
			$wen_biz_post_id = get_theme_mod( 'wen_biz_portfolio_post_' . $i );
		} elseif ( 'page' === $wen_biz_type ) {
			$wen_biz_post_id = get_theme_mod( 'wen_biz_portfolio_page_' . $i );
		} elseif ( 'jetpack-portfolio' === $wen_biz_type ) {
			$wen_biz_post_id =  get_theme_mod( 'wen_biz_portfolio_cpt_' . $i );
		}

		if ( $wen_biz_post_id && '' !== $wen_biz_post_id ) {
			// Polylang Support.
			if ( class_exists( 'Polylang' ) ) {
				$wen_biz_post_id = pll_get_post( $wen_biz_post_id, pll_current_language() );
			}

			$post_list = array_merge( $post_list, array( $wen_biz_post_id ) );

			$no_of_post++;
		}
	}

	$args['post__in'] = $post_list;
	$args['orderby'] ='post__in';

} elseif ( 'jetpack-portfolio' === $wen_biz_type ) {
	$no_of_post = $number;
	$wen_biz_post_id =  '';
	$wen_biz_post_id =  get_theme_mod( 'wen_biz_portfolio_cpt_1' );

	if ( $wen_biz_post_id && '' !== $wen_biz_post_id ) {
		for ( $i = 1; $i <= $number; $i++ ) {
			$wen_biz_post_id =  get_theme_mod( 'wen_biz_portfolio_cpt_' . $i );

			if ( $wen_biz_post_id && '' !== $wen_biz_post_id ) {
				// Polylang Support.
				if ( class_exists( 'Polylang' ) ) {
					$wen_biz_post_id = pll_get_post( $wen_biz_post_id, pll_current_language() );
				}

				$post_list = array_merge( $post_list, array( $wen_biz_post_id ) );

				$no_of_post++;
			}
		}

		$args['post__in'] = $post_list;
		$args['orderby'] ='post__in';
	}

	$args['post_type'] = 'jetpack-portfolio';
} elseif ( 'category' === $wen_biz_type ) {
	$no_of_post = $number;

	if ( get_theme_mod( 'wen_biz_portfolio_select_category' ) ) {
		$args['category__in'] = (array) get_theme_mod( 'wen_biz_portfolio_select_category' );
	}

	$args['post_type'] = 'post';
} elseif ( 'jetpack-portfolio-type' === $wen_biz_type ) {
	$no_of_post = $number;

	$tax_query = array();

	if ( $project_types = get_theme_mod( 'wen_biz_portfolio_select_project_type' ) ) {
		$tax_query['relation'] = 'OR';

		foreach ( $project_types as $project_type ) {
			$tax_query[] = array(
				'taxonomy' => 'jetpack-portfolio-type',
				'field'    => 'id',
				'terms'    => $project_type,
			);


		}
		
	}

	$args['post_type'] = 'jetpack-portfolio';
	$args['tax_query'] = $tax_query;
}

if ( 0 === $no_of_post ) {
	return;
}

$args['posts_per_page'] = $no_of_post;
$loop     = new WP_Query( $args );

$slider_select = get_theme_mod( 'wen_biz_portfolio_slider', 1 );

if ( $loop -> have_posts() ) :
	while ( $loop -> have_posts() ) :
		$loop -> the_post();

		get_template_part( 'template-parts/portfolio/content', 'portfolio' );

	endwhile;
	wp_reset_postdata();
endif;
