<?php
/**
 * The template for displaying pricing image content
 *
 * @package Wen_Biz
 */

$quantity = get_theme_mod( 'wen_biz_pricing_number', 3 );
$currency = get_theme_mod( 'wen_biz_pricing_currency' );

$i = 1;

for ( $i = 1; $i <= $quantity; $i++ ) {

	$highlight_class = get_theme_mod( 'wen_biz_pricing_highlight_' . $i ) ? ' highlight' : ' highlight-off';

	$target = get_theme_mod( 'wen_biz_pricing_target_' . $i ) ? '_blank' : '_self';

	$wen_biz_link = get_theme_mod( 'wen_biz_pricing_link_' . $i ) ? get_theme_mod( 'wen_biz_pricing_link_' . $i ) : '#';

	if ( function_exists( 'qtrans_convertURL' ) ) {
		$wen_biz_link = qtrans_convertURL( $wen_biz_link );
	}

	echo '
	<article id="pricing-post-' . esc_attr( $i ) . '" class="hentry' . $highlight_class . '"> 
		<div class="hentry-inner">';

			if ( ' highlight' === $highlight_class ) : ?>
				<span class="popular-tag"><?php echo esc_html( get_theme_mod( 'wen_biz_pricing_highlight_text_' . $i, esc_html__( 'Popular Choice', 'wen-biz-pro' ) ) ); ?></span>
			<?php endif;

			$wen_biz_title       = get_theme_mod( 'wen_biz_pricing_title_' . $i );
			$content     = get_theme_mod( 'wen_biz_pricing_content_' . $i );
			$more_button = get_theme_mod( 'wen_biz_pricing_more_button_text_' . $i );

			$image = get_theme_mod( 'wen_biz_pricing_image_' . $i ) ? get_theme_mod( 'wen_biz_pricing_image_' . $i ) : '';
			if ( $image ) {
			echo '
				<div class="post-thumbnail">
					<a href="' . esc_url( $wen_biz_link ) . '" target="' . esc_attr( $target ) . '">
						<img src="' . esc_url( $image ) . '" class="wp-post-image" alt="' . esc_attr( $wen_biz_title ) . '" title="' . esc_attr( $wen_biz_title ) . '">
					</a>
				</div>';
			}

			$amount         = get_theme_mod( 'wen_biz_pricing_amount_' . $i );
			$amount_remarks = get_theme_mod( 'wen_biz_pricing_amount_remarks_' . $i );

			if ( $wen_biz_title || $content || $more_button) {
				echo '
				<div class="entry-container">';
				if ( $amount || $amount_remarks ) {
					echo'
					<div class="entry-header-wrap has-package-price">';
				}	
				else {
					echo'
					<div class="entry-header-wrap">';
				}	
					echo'
					<header class="entry-header">';

					if ( $wen_biz_title ) {
						echo '
						<h2 class="entry-title">
							<a href="' . esc_url( $wen_biz_link ) . '" rel="bookmark" target="' . esc_attr( $target ) . '">' . wp_kses_post( $wen_biz_title ) . '</a>
						</h2>';
					}

					echo '</header>';

					if ( $currency || $amount || $amount_remarks ) {
						echo '<div class="package-price">
							<span class="package-amount">' . esc_html( $currency ) . esc_html( $amount ) . '</span>';
							if ( $amount_remarks ) {
								echo'
								<span class="package-month">' . esc_html( $amount_remarks ) . '</span>';
							} 
							echo
						  '</div>';
					}

					echo '</div>';

					if ( $content || $more_button ) {
					 	echo 
					 	'<div class="entry-summary">' . wp_kses_post( wpautop( $content ) );
					 	if ( $more_button ) {
							echo 
							'<span class="more-button">
							<a class="more-link" href="' . esc_url( $wen_biz_link ) . '" rel="bookmark" target="' . esc_attr( $target ) . '">' . esc_html( $more_button ) . '</a>
							</span>';
						}
						echo
					 	'</div><!-- .entry-summary -->';
					}



					echo '
				</div><!-- .entry-container -->';
			}

			echo '
		</div>
	</article><!-- .pricing-post-' . esc_attr( $i ) . ' -->';
} // End for().
