<?php
/**
 * The template used for displaying promotion content
 *
 * @package Wen_Biz
 */

$wen_biz_classes[] = 'promotion-content-section';
$wen_biz_classes[] = 'section';
$wen_biz_classes[] = get_theme_mod( 'wen_biz_promotion_content_img_align', 'content-align-left' );
$wen_biz_classes[] = get_theme_mod( 'wen_biz_promotion_content_txt_align', 'text-align-left' );

?>
<div id="promotion-content-section" class="<?php echo esc_attr( implode( ' ', $wen_biz_classes ) ); ?>">
	<div class="wrapper">
		<div class="section-content-wrapper promotion-content-wrapper">
			<?php $image = get_theme_mod( 'wen_biz_promotion_content_image' ); ?>
			<article id="post-0" class="hentry<?php echo $image ? ' has-post-thumbnail' : ''; ?>">
				<div class="hentry-inner">
					<div class="post-thumbnail-stats-wrapper">
						<?php $stats_text = get_theme_mod( 'wen_biz_promotion_content_stats' ); 
							$stats_count = get_theme_mod( 'wen_biz_promotion_content_stats_count' );
							$wen_biz_link   = get_theme_mod( 'wen_biz_promotion_content_link', '#' );
							$wen_biz_target = get_theme_mod( 'wen_biz_promotion_content_target' ) ? '_blank' : '_self';
							$wen_biz_title   = get_theme_mod( 'wen_biz_promotion_content_title' );
						if ( $image ) : 
							if ( $stats_text || $stats_count  ) { ?>
								<div class="post-thumbnail-background" style="background-image: url( <?php echo esc_url( $image ); ?> )">
									<a class="cover-link" href="<?php echo esc_url( $wen_biz_link ); ?>" target="<?php echo esc_attr( $wen_biz_target ); ?>">
									</a>
								</div><!-- .post-thumbnail -->
							<?php } else { ?>
								<div class="post-thumbnail">
									<?php if ( $wen_biz_link ) : ?>
										<a class="cover-link" href="<?php echo esc_url( $wen_biz_link ); ?>" target="<?php echo $wen_biz_target; ?>">
									<?php endif; ?>
									<img src="<?php echo esc_url( $image ); ?>" class="wp-post-image" alt="<?php echo esc_attr( $wen_biz_title ); ?>" title="<?php echo esc_attr( $wen_biz_title ); ?>">
									<?php if ( $wen_biz_link ) : ?>
										</a>
									<?php endif; ?>
								</div>

							<?php } ?>
								<?php if ( $stats_text || $stats_count  ) { ?>
									<div class="promotion-stats">
										<span class="stat-count">
											<?php echo wp_kses_post( $stats_count ); ?>
										</span>
										<?php echo wpautop( wp_kses_post( $stats_text ) ); ?>
									</div><!-- .promotion-stats -->		
								<?php } ?>
					</div><!-- .post-thumbnail-stats-wrapper -->
							<div class="entry-container">
						<?php
						else: ?>
								<?php if ( $stats_text || $stats_count  ) { ?>
									<div class="promotion-stats">
										<span class="stat-count">
											<?php echo wp_kses_post( $stats_count ); ?>
										</span>
										<?php echo wpautop( wp_kses_post( $stats_text ) ); ?>
									</div><!-- .promotion-stats -->	
								<?php } ?>
					</div><!-- .post-thumbnail-stats-wrapper -->
							<div class="entry-container full-width">
						<?php endif; ?>

					<?php
					$wen_biz_tagline = get_theme_mod( 'wen_biz_promotion_content_tagline' );

					if ( $wen_biz_title || $wen_biz_tagline ) : ?>
						<header class="entry-header section-title-wrapper">
							<?php if ( $wen_biz_tagline ) : ?>
								<div class="section-tagline">
									<?php echo wp_kses_post( $wen_biz_tagline ); ?>
								</div><!-- .section-tagline -->
							<?php endif; ?>

							<?php if ( $wen_biz_title ) : ?>
							<h2 class="entry-title">
								<?php echo wp_kses_post( $wen_biz_title ); ?>
							</h2>
							<?php endif; ?>
						</header><!-- .entry-header -->
					<?php endif; ?>

					<?php if ( $content = get_theme_mod( 'wen_biz_promotion_content_content' ) ) : ?>
						<div class="entry-content">
							<?php echo wp_kses_post( apply_filters( 'the_content', $content ) ); ?>

							<?php
							$more_text   = get_theme_mod( 'wen_biz_promotion_content_more_text' );
							$more_link   = get_theme_mod( 'wen_biz_promotion_content_more_link', '#' );
							$more_target = get_theme_mod( 'wen_biz_promotion_content_more_target' ) ? '_blank' : '_self' ;

							if ( $more_text ) : ?>
							<p>
								<span class="more-button">
									<a class="more-link" href="<?php echo esc_url( $more_link ); ?>" target="<?php echo esc_attr( $more_target ); ?>">
										<span><?php echo esc_html( $more_text ); ?></span>
									</a>
								</span>
							</p>
							<?php
							endif;
							?>
						</div><!-- .entry-content -->
					<?php endif; ?>
					</div><!-- .entry-container -->
				</div><!-- .hentry-inner -->
			</article>
		</div><!-- .section-content-wrapper -->
	</div><!-- .wrapper -->
</div><!-- .section -->
