<?php
/**
 * The template used for displaying promotion content
 *
 * @package Wen_Biz
 */
$wen_biz_tagline = get_theme_mod( 'wen_biz_promotion_headline_tagline' );
$wen_biz_title   = get_theme_mod( 'wen_biz_promotion_headline_title' );
$wen_biz_classes[] = 'promotion-content-section';
$wen_biz_classes[] = 'section';
$wen_biz_classes[] = get_theme_mod( 'wen_biz_promotion_headline_img_align', 'content-align-left' );
$wen_biz_classes[] = get_theme_mod( 'wen_biz_promotion_headline_txt_align', 'text-align-left' );

?>
<div id="promotional-headline-section" class="<?php echo esc_attr( implode( ' ', $wen_biz_classes ) ); ?>">
	<div class="wrapper">
		<div class="section-content-wrapper promotion-content-wrapper">
			<?php $image = get_theme_mod( 'wen_biz_promotion_headline_image' ); ?>
			<article id="post-0" class="hentry<?php echo $image ? ' has-post-thumbnail' : ''; ?>">
				<div class="hentry-inner">
						<?php
						if ( $image ) : ?>
							<div class="post-thumbnail">
								<?php
								$wen_biz_link   = get_theme_mod( 'wen_biz_promotion_headline_link', '#' );
								$wen_biz_target = get_theme_mod( 'wen_biz_promotion_headline_target' ) ? '_blank' : '_self';
								?>

								<a class="cover-link" href="<?php echo esc_url( $wen_biz_link ); ?>" target="<?php echo esc_attr( $wen_biz_target ); ?>"><img src="<?php echo esc_url( $image ); ?>" class="wp-post-image" alt="<?php echo esc_attr( $wen_biz_title ); ?>" title="<?php echo esc_attr( $wen_biz_title ); ?>">
								</a>
							</div><!-- .post-thumbnail -->
							<div class="entry-container">
						<?php
						else: ?>
							<div class="entry-container full-width">
						<?php endif; ?>

					<?php
					if ( $wen_biz_title || $wen_biz_tagline ) : ?>
						<header class="entry-header section-title-wrapper">
							<?php if ( $wen_biz_tagline ) : ?>
								<div class="section-tagline">
									<?php echo wp_kses_post( $wen_biz_tagline ); ?>
								</div><!-- .section-tagline -->
							<?php endif; ?>

							<?php if ( $wen_biz_title ) : ?>
							<h2 class="entry-title">
								<?php echo wp_kses_post( $wen_biz_title ); ?>
							</h2>
							<?php endif; ?>
						</header><!-- .entry-header -->
					<?php endif; ?>

					<?php if ( $content = get_theme_mod( 'wen_biz_promotion_headline_content' ) ) : ?>
						<div class="entry-content">
							<?php echo wp_kses_post( apply_filters( 'the_content', $content ) ); ?>

							<?php
							$more_text   = get_theme_mod( 'wen_biz_promotion_headline_more_text' );
							$more_link   = get_theme_mod( 'wen_biz_promotion_headline_more_link', '#' );
							$more_target = get_theme_mod( 'wen_biz_promotion_headline_more_target' ) ? '_blank' : '_self' ;

							if ( $more_text ) : ?>
							<p>
								<span class="more-button">
									<a class="more-link" href="<?php echo esc_url( $more_link ); ?>" target="<?php echo esc_attr( $more_target ); ?>">
										<span><?php echo esc_html( $more_text ); ?></span>
									</a>
								</span>
							</p>
							<?php
							endif;
							?>
						</div><!-- .entry-content -->
					<?php endif; ?>
					</div><!-- .entry-container -->
				</div><!-- .hentry-inner -->
			</article>
		</div><!-- .section-content-wrapper -->
	</div><!-- .wrapper -->
</div><!-- .section -->
