<?php
/**
 * The template for displaying Promotional Video content
 *
 * @package Wen_Biz
 */
?>

<?php
$enable_content = get_theme_mod( 'wen_biz_promotional_video_option', 'disabled' );

if ( ! wen_biz_check_section( $enable_content ) ) {
	// Bail if Promotional Video is disabled.
	return;
}

$wen_biz_classes[] = 'section promotional-video-section';

$wen_biz_tagline     = get_theme_mod( 'wen_biz_promotional_video_tagline' );
$wen_biz_title       = get_theme_mod( 'wen_biz_promotional_video_title' );
$wen_biz_description = get_theme_mod( 'wen_biz_promotional_video_description' );

$background = get_theme_mod( 'wen_biz_promotional_video_bg_image' );

if ( $background ) {
	$wen_biz_classes[] = 'has-background-image';
}

if ( ! $wen_biz_title  && ! $wen_biz_tagline && ! $wen_biz_description ) {
	$wen_biz_classes[] = 'no-section-heading';
}
?>

<div id="promotional-video-section" class="<?php echo esc_attr( implode( ' ', $wen_biz_classes ) ); ?>">
	<div class="wrapper">
		<?php wen_biz_section_heading( $wen_biz_tagline, $wen_biz_title, $wen_biz_description ); ?>

		<div class="section-content-wrapper promotional-video-content-wrapper">
			<?php
				get_template_part( 'template-parts/promotional-video/video-promotional' );
			?>
		</div><!-- .section-content-wrap -->
	</div><!-- .wrapper -->
</div><!-- #promotional-content-section -->
