<?php
/**
 * The template for displaying service image content
 *
 * @package Wen_Biz
 */

$wen_biz_quantity = get_theme_mod( 'wen_biz_service_number', 3 );

for ( $i = 1; $i <= $wen_biz_quantity; $i++ ) {
	$wen_biz_target = get_theme_mod( 'wen_biz_service_target_' . $i ) ? '_blank' : '_self';

	$wen_biz_link = get_theme_mod( 'wen_biz_service_link_' . $i ) ? get_theme_mod( 'wen_biz_service_link_' . $i ) : '#';

	if ( function_exists( 'qtrans_convertURL' ) ) {
		$wen_biz_link = qtrans_convertURL( $wen_biz_link );
	}

	$image = get_theme_mod( 'wen_biz_service_image_' . $i ) ? get_theme_mod( 'wen_biz_service_image_' . $i ) : '';

	if ( $image ) {
		echo '
		<article id="service-post-' . esc_attr( $i ) . '" class="hentry has-post-thumbnail"> <div class="hentry-inner">';	
	} else {
		echo '
		<article id="service-post-' . esc_attr( $i ) . '" class="hentry"> <div class="hentry-inner">';
	}
		$wen_biz_title = get_theme_mod( 'wen_biz_service_title_' . $i );
		$content        = get_theme_mod( 'wen_biz_service_content_' . $i );
		$more_button    = get_theme_mod( 'wen_biz_service_more_button_text_' . $i );

		$image = get_theme_mod( 'wen_biz_service_image_' . $i ) ? get_theme_mod( 'wen_biz_service_image_' . $i ) : '';

		if ( $image ) {
			echo '
			<div class="post-thumbnail">
			<a href="' . esc_url( $wen_biz_link ) . '" target="' . esc_attr( $wen_biz_target ) . '">
				<img src="' . esc_url( $image ) . '" class="wp-post-image" alt="' . esc_attr( $wen_biz_title ) . '" title="' . esc_attr( $wen_biz_title ) . '">
			</a></div>';
		}

		if ( $wen_biz_title || $content || $more_button) {
			echo '
			<div class="entry-container">
				<header class="entry-header">';

				if ( $wen_biz_title ) {
					echo '
					<h2 class="entry-title">
						<a href="' . esc_url( $wen_biz_link ) . '" rel="bookmark" target="' . esc_attr( $wen_biz_target ) . '">' . wp_kses_post( $wen_biz_title ) . '</a>
					</h2>';
				}

				echo '</header>';

				if ( $content || $more_button ) {
					if ( $more_button ) {
						$content .= '<span class="more-button">
							<a class="more-link" href="' . esc_url( $wen_biz_link ) . '" rel="bookmark" target="' . esc_attr( $wen_biz_target ) . '">' . esc_html( $more_button ) . '</a>
						</span>';
					}

				 	echo '<div class="entry-summary">' . wp_kses_post( $content ) . '</div><!-- .entry-summary -->';
				}



				echo '
			</div><!-- .entry-container -->';
		}

		echo '
		</div>
	</article><!-- .service-post-' . esc_attr( $i ) . ' -->';
} // End for().
