<?php
/**
 * The template used for displaying simage/custom lider
 *
 * @package Wen_Biz
 */

$wen_biz_quantity = get_theme_mod( 'wen_biz_slider_number', 4 );

$output = '';

for ( $i = 1; $i <= $wen_biz_quantity; $i++ ) {
	$image = get_theme_mod( 'wen_biz_slider_image_' . $i );

	// Check Image Not Empty to add in the slides.
	if ( $image ) {
		$imagetitle             = get_theme_mod( 'wen_biz_slider_title_' . $i ) ? get_theme_mod( 'wen_biz_slider_title_' . $i ) : '';
		$before_subtitle        = get_theme_mod( 'wen_biz_slider_subtitle_' . $i );
		$content_raw            = get_theme_mod( 'wen_biz_slider_content_' . $i );
		$wen_biz_link  = get_theme_mod( 'wen_biz_slider_link_' . $i );
		$wen_biz_target                 = get_theme_mod( 'wen_biz_slider_target_' . $i ) ? '_blank' : '_self';

		$wen_biz_title = '';
		$button                 = '';
		$content                = '';

		if ( $before_subtitle ) {
			$before_subtitle = '<div class="section-tagline">' . esc_html( $before_subtitle ) . '</div>';
		}

		$wen_biz_title = '<header class="entry-header">' . $before_subtitle . '<h2 class="entry-title">' . esc_html( $imagetitle ) . '</h2></header>';

		if ( $wen_biz_link ) {
			$wen_biz_title = '<header class="entry-header">' . $before_subtitle . '<h2 class="entry-title"><a title="' . esc_attr( $imagetitle ) . '" href="' . esc_url( $wen_biz_link ) . '" target="' . $wen_biz_target . '">' . esc_html( $imagetitle ) . '</a></h2></header>';

			if ( $button_text = get_theme_mod( 'wen_biz_slider_button_text_' . $i ) ) {
				$button = '<p><span class="more-buttoon"><a class="more-link" title="' . esc_attr( $imagetitle ) . '" href="' . esc_url( $wen_biz_link ) . '" target="' . $wen_biz_target . '">' . esc_html( $button_text ) . '</a></span></p>';
			}
		}

		if ( $button || $content_raw ) {
			$content = '<div class="entry-summary">';

			if ( $content_raw ) {
				$content .= wpautop( $content_raw );
			}

			if ( $button ) {
				$content .= wpautop( $button );
			}

			$content .= '</div><!-- .entry-summary -->';
		}

		$contentopening = '';
		$contentclosing = '';

		// Content Opening and Closing.
		if ( $before_subtitle || $wen_biz_title || $content ) {
			$contentopening = '<div class="entry-container"><div class="content-container">';
			$contentclosing = '</div> <!--  .content-container  --></div><!-- .entry-container -->';
		}

		$output .= '
		<article class="image-slides hentry slider-image images-' . esc_attr( $i ) . ' slides">
			<div class="hentry-inner">
				<div class="post-thumbnail">
					<a href="' . esc_url( $wen_biz_link ) . '" title="' . esc_attr( $imagetitle ) . ' "target="' . $wen_biz_target . '">
						<img src="' . esc_url( $image ) . '" class="wp-post-image" alt="' . esc_attr( $imagetitle ) . '">
					</a>
				</div>
				' . $contentopening . $wen_biz_title . $content . $contentclosing . '
			</div><!-- .hentry-inner -->
		</article><!-- .slides -->';
	} // End if ().
} // End for().

echo $output;
