<?php
/**
 * The template used for displaying slider
 *
 * @package Wen_Biz
 */

$wen_biz_enable_slider = get_theme_mod( 'wen_biz_slider_option', 'disabled' );
$text_alignment 		   = get_theme_mod( 'wen_biz_slider_text_alignment', 'text-align-left' );
$content_alignment 		   = get_theme_mod( 'wen_biz_slider_content_alignment', 'content-align-left' );

if ( ! wen_biz_check_section( $wen_biz_enable_slider ) ) {
	return;
}

$classes[] = 'feature-slider-section';
$classes[] = 'section';
$classes[] = $content_alignment;
$classes[] = $text_alignment;
$wen_biz_type   = get_theme_mod( 'wen_biz_slider_type', 'category' );
?>

<div id="feature-slider-section" class="<?php echo esc_attr( implode( ' ', $classes ) ); ?>">
	<div class="wrapper section-content-wrapper feature-slider-wrapper">
		<div class="main-slider owl-carousel">
			<?php
			// Select Slider
			if ( 'post' === $wen_biz_type || 'page' === $wen_biz_type || 'category' === $wen_biz_type || 'tag' === $wen_biz_type ) {
				get_template_part( 'template-parts/slider/post-type-slider' );
			} elseif ( 'custom' === $wen_biz_type ) {
				get_template_part( 'template-parts/slider/custom-slider' );
			}
			?>
		</div><!-- .main-slider -->
	</div><!-- .wrapper -->
</div><!-- #feature-slider -->

