<?php
/**
 * The template used for displaying slider
 *
 * @package Wen_Biz
 */

$wen_biz_quantity              = get_theme_mod( 'wen_biz_slider_number', 4 );
$wen_biz_no_of_post            = 0; // for number of posts
$wen_biz_post_list             = array(); // list of valid post/page ids
$wen_biz_type 		   = get_theme_mod( 'wen_biz_slider_type', 'category' );
$show_content          = get_theme_mod( 'wen_biz_slider_content_show', 'excerpt' );
$show_meta             = get_theme_mod( 'wen_biz_slider_meta_show', 'show-meta' );

$wen_biz_args = array(
	'ignore_sticky_posts' => 1, // ignore sticky posts
);

//Get valid number of posts
if ( 'post' === $wen_biz_type || 'page' === $wen_biz_type ) {
	$wen_biz_args['post_type'] =  $wen_biz_type;

	for ( $i = 1; $i <= $wen_biz_quantity; $i++ ) {
		$wen_biz_id = '';

		if ( 'post' === $wen_biz_type ) {
			$wen_biz_id = get_theme_mod( 'wen_biz_slider_post_' . $i );
		} elseif ( 'page' === $wen_biz_type ) {
			$wen_biz_id = get_theme_mod( 'wen_biz_slider_page_' . $i );
		}

		if ( $wen_biz_id && '' !== $wen_biz_id ) {
			$wen_biz_post_list = array_merge( $wen_biz_post_list, array( $wen_biz_id ) );

			$wen_biz_no_of_post++;
		}
	}

	$wen_biz_args['post__in'] = $wen_biz_post_list;
	$wen_biz_args['orderby'] = 'post__in';
} elseif ( 'category' === $wen_biz_type ) {
	$wen_biz_no_of_post = $wen_biz_quantity;

	$wen_biz_args['category__in'] = get_theme_mod( 'wen_biz_slider_select_category' );

	$wen_biz_args['post_type'] = 'post';
} elseif ( 'tag' === $wen_biz_type ) {
	$wen_biz_no_of_post = $wen_biz_quantity;

	$wen_biz_args['tag__in'] = get_theme_mod( 'wen_biz_slider_select_tag' );

	$wen_biz_args['post_type'] = 'post';
}

if ( ! $wen_biz_no_of_post ) {
	return;
}

$wen_biz_args['posts_per_page'] = $wen_biz_no_of_post;
$wen_biz_loop = new WP_Query( $wen_biz_args );

while ( $wen_biz_loop->have_posts() ) :
	$wen_biz_loop->the_post();

	$wen_biz_classes = 'post post-' . get_the_ID() . ' hentry slides';

	?>
	<article class="<?php echo esc_attr( $wen_biz_classes ); ?>">
		<div class="hentry-inner">
			<?php wen_biz_post_thumbnail( 'wen-biz-slider', 'html', true, true ); ?>

			<div class="entry-container">
				<div class="content-container">
					<header class="entry-header">
						<?php
						if ( 'show-meta' === $show_meta  && ( 'post' === $wen_biz_type || 'category' === $wen_biz_type || 'tag' === $wen_biz_type ) ) {
							echo wen_biz_slider_entry_category();
						}
						?>
						<h2 class="entry-title">
							<a title="<?php the_title_attribute(); ?>" href="<?php the_permalink(); ?>">
								<?php the_title(); ?>
							</a>
						</h2>
					</header>

					<?php
					if ( 'excerpt' === $show_content ) {
						echo '<div class="entry-summary"><p>' . wp_kses_post( get_the_excerpt() ) . '</p></div><!-- .entry-summary -->';
					} elseif ( 'full-content' === $show_content ) {
						$content = apply_filters( 'the_content', get_the_content() );
						$content = str_replace( ']]>', ']]&gt;', $content );
						echo '<div class="entry-content">' . wp_kses_post( $content ) . '</div><!-- .entry-content -->';
					}
					?>
				</div> <!--  .content-container  -->
			</div><!-- .entry-container -->
		</div><!-- .hentry-inner -->
	</article><!-- .slides -->
<?php
endwhile;

wp_reset_postdata();
