<?php
/**
 * The template for displaying stats image content
 *
 * @package Wen_Biz
 */

$wen_biz_quantity = get_theme_mod( 'wen_biz_stats_number', 4 );

for ( $i = 1; $i <= $wen_biz_quantity; $i++ ) {
	$wen_biz_target = get_theme_mod( 'wen_biz_stats_target_' . $i ) ? '_blank' : '_self';

	$wen_biz_link = get_theme_mod( 'wen_biz_stats_link_' . $i ) ? get_theme_mod( 'wen_biz_stats_link_' . $i ) : '#';

	if ( function_exists( 'qtrans_convertURL' ) ) {
		$wen_biz_link = qtrans_convertURL( $wen_biz_link );
	}

	echo '
	<article id="stats-post-' . esc_attr( $i ) . '" class="hentry"> <div class="hentry-inner">';

		$wen_biz_title       = get_theme_mod( 'wen_biz_stats_title_' . $i );
		$content     = get_theme_mod( 'wen_biz_stats_content_' . $i );

		$image = get_theme_mod( 'wen_biz_stats_image_' . $i ) ? get_theme_mod( 'wen_biz_stats_image_' . $i ) : '';

		if( $image ) {
			echo '
			<div class="post-thumbnail">
			<a href="' . esc_url( $wen_biz_link ) . '" target="' . esc_attr( $wen_biz_target ) . '">
				<img src="' . esc_url( $image ) . '" class="wp-post-image" alt="' . esc_attr( $wen_biz_title ) . '" title="' . esc_attr( $wen_biz_title ) . '">
			</a></div>';
		}

		if ( $wen_biz_title || $content ) {
			echo '
			<div class="entry-container">';

				if ( $wen_biz_title ) {
					echo '
					<header class="entry-header">
					<h2 class="entry-title">
						<a href="' . esc_url( $wen_biz_link ) . '" rel="bookmark" target="' . esc_attr( $wen_biz_target ) . '">' . wp_kses_post( $wen_biz_title ) . '</a>
					</h2>';
					echo '</header>';
				}

				if ( $content  ) {
				 	echo '<div class="entry-summary">' . wp_kses_post( apply_filters( 'the_content', $content ) ) . '</div><!-- .entry-summary -->';
				}

				echo '
			</div><!-- .entry-container -->';
		}

		echo '
		</div>
	</article><!-- .stats-post-' . esc_attr( $i ) . ' -->';
} // End for().
