<?php
/**
 * The template for displaying stats content
 *
 * @package Wen_Biz
 */


$wen_biz_enable_content = get_theme_mod( 'wen_biz_stats_option', 'disabled' );

if ( ! wen_biz_check_section( $wen_biz_enable_content ) ) {
	// Bail if stats content is disabled.
	return;
}

$wen_biz_type        = get_theme_mod( 'wen_biz_stats_type', 'category' );
$wen_biz_tagline     = get_theme_mod( 'wen_biz_stats_tagline' );
$wen_biz_title       = get_theme_mod( 'wen_biz_stats_title' );
$layout 			 = get_theme_mod( 'wen_biz_stats_layout', 'layout-four' );

$wen_biz_classes[] = 'stats-section';
$wen_biz_classes[] = 'section';

if ( ! $wen_biz_title  && ! $wen_biz_tagline ) {
	$wen_biz_classes[] = 'no-section-heading';
}
?>

<div id="stats-section" class="<?php echo esc_attr( implode( ' ', $wen_biz_classes ) ); ?>">
	<div class="wrapper">
		<?php
		wen_biz_section_heading( $wen_biz_tagline, $wen_biz_title ); ?>
		<div class="section-content-wrapper stats-content-wrapper <?php echo esc_attr( $layout ); ?>">
			<?php
			if ( 'custom' === $wen_biz_type ) {
				get_template_part( 'template-parts/stats/content-custom' );
			} else {
				get_template_part( 'template-parts/stats/content-stats' );
			} ?>
				<?php
				$wen_biz_target = get_theme_mod( 'wen_biz_stats_target' ) ? '_blank': '_self';
				$wen_biz_link   = get_theme_mod( 'wen_biz_stats_link', '#' );
				$wen_biz_text   = get_theme_mod( 'wen_biz_stats_text' );

				if ( $wen_biz_text ) :
				?>
				<p class="view-more">
					<a class="button" target="<?php echo $wen_biz_target; ?>" href="<?php echo esc_url( $wen_biz_link ); ?>"><?php echo esc_html( $wen_biz_text ); ?></a>
				</p>
				<?php endif; ?>
		</div><!-- .section-content-wrapper -->
	</div><!-- .wrapper -->
</div><!-- #stats-section -->
