<?php
/**
 * The template for displaying team image content
 *
 * @package Wen_Biz
 */

$wen_biz_quantity = get_theme_mod( 'wen_biz_team_number', 3 );

for ( $i = 1; $i <= $wen_biz_quantity; $i++ ) {
	$wen_biz_target = get_theme_mod( 'wen_biz_team_target_' . $i ) ? '_blank' : '_self';

	$wen_biz_link = get_theme_mod( 'wen_biz_team_link_' . $i ) ? get_theme_mod( 'wen_biz_team_link_' . $i ) : '#';

	if ( function_exists( 'qtrans_convertURL' ) ) {
		$wen_biz_link = qtrans_convertURL( $wen_biz_link );
	}

	echo '
	<article id="team-post-' . esc_attr( $i ) . '" class="hentry"> <div class="hentry-inner">';

		$wen_biz_title       = get_theme_mod( 'wen_biz_team_title_' . $i );
		$position    = get_theme_mod( 'wen_biz_team_position_' . $i );
		$content     = get_theme_mod( 'wen_biz_team_content_' . $i );
		$more_button = get_theme_mod( 'wen_biz_team_more_button_text_' . $i );
		$phone       = get_theme_mod( 'wen_biz_team_phone_' . $i );
		$email		 = get_theme_mod( 'wen_biz_team_email_' . $i );

		$image = get_theme_mod( 'wen_biz_team_image_' . $i ) ? get_theme_mod( 'wen_biz_team_image_' . $i ) : trailingslashit( esc_url ( get_template_directory_uri() ) ) . 'images/no-thumb-508x338.jpg';

		if ( $image ) {
			echo '
			<div class="post-thumbnail">
				<a href="' . esc_url( $wen_biz_link ) . '" target="' . esc_attr( $wen_biz_target ) . '">
					<img src="' . esc_url( $image ) . '" class="wp-post-image" alt="' . esc_attr( $wen_biz_title ) . '" title="' . esc_attr( $wen_biz_title ) . '">
				</a>';
				wen_biz_team_social_links( $i );
			echo'
			</div>';	
		}
		
		if ( $wen_biz_title || $content || $more_button) {
			echo '
			<div class="entry-container">
				<header class="entry-header">';

				if ( $wen_biz_title ) {
					echo '
					<h2 class="entry-title">
						<a href="' . esc_url( $wen_biz_link ) . '" rel="bookmark" target="' . esc_attr( $wen_biz_target ) . '">' . wp_kses_post( $wen_biz_title ) . '</a>
					</h2>';
				}

				if ( $position ) {
					echo '
					<div class="entry-meta">
						<span class="entry-job">
                        	<span class="job-label">' . esc_html( $position ) . '</span>
	                    </span>
	                </div> <!-- .entry-meta -->';
	            }

				echo '</header>';

				if ( $phone || $email ) {
					echo'
					<ul class="team-contact-details">';
					if ( $phone ) {
						echo'
						<li><a href="tel:' . esc_attr( preg_replace( '/\s+/', '', $phone ) ) . '">'. wen_biz_get_svg( array( 'icon' => 'phone' ) ) . esc_html( preg_replace( '/\s+/', '', $phone ) ) . '</a></li>';
					}
					if ( $email ) {
						echo'
						<li><a href="mailto:' . esc_attr( antispambot( $email ) ) . '">' . wen_biz_get_svg( array( 'icon' => 'envelope' ) ) . esc_html( antispambot( $email ) ) . '</a></li>';
					}
					echo
					'</ul>';
				}

				if ( $content || $more_button ) {
					if ( $more_button ) {
						$content .= '<p class="more-link">
							<a class="readmore" href="' . esc_url( $wen_biz_link ) . '" rel="bookmark" target="' . esc_attr( $wen_biz_target ) . '">' . esc_html( $more_button ) . '</a>
						</p>';
					}

				 	echo '<div class="entry-summary">' . wp_kses_post( apply_filters( 'the_content', $content ) ) . '</div><!-- .entry-summary -->';
				}

				echo '
			</div><!-- .entry-container -->';
		}

		echo '
		</div>
	</article><!-- .team-post-' . esc_attr( $i ) . ' -->';
} // End for().
