<?php
/**
 * The template for displaying team content
 *
 * @package Focus_Stock
 */

$wen_biz_enable_content = get_theme_mod( 'wen_biz_team_option', 'disabled' );

if ( ! wen_biz_check_section( $wen_biz_enable_content ) ) {
	// Bail if team content is disabled.
	return;
}

$wen_biz_type = get_theme_mod( 'wen_biz_team_type', 'category' );

$wen_biz_title   = get_theme_mod( 'wen_biz_team_title');
$wen_biz_tagline = get_theme_mod( 'wen_biz_team_tagline' );
$layout                   = get_theme_mod( 'wen_biz_team_layout', 'layout-three' );

$class = '';
if( ! $wen_biz_title && ! $wen_biz_tagline ) {
	$class = 'no-section-heading';
}
?>

<div id="team-content-section" class="section <?php echo esc_attr( $class ); ?>">
	<div class="wrapper">
		<?php wen_biz_section_heading( $wen_biz_tagline, $wen_biz_title ); ?>

		<div class="team-content-wrapper section-content-wrapper <?php echo esc_attr( $layout ); ?>">

			<?php
			if ( 'custom' === $wen_biz_type ) {
				get_template_part( 'template-parts/team/content-custom' );
			} else {
				get_template_part( 'template-parts/team/post-types-team' );
			} ?>

		</div><!-- .team-wrapper -->
	</div><!-- .wrapper -->
</div><!-- #team-section -->
