<?php
/**
 * The template for displaying testimonial items
 *
 * @package Wen_Biz
 */

$wen_biz_number = get_theme_mod( 'wen_biz_testimonial_number', 5 );

if ( ! $wen_biz_number ) {
	// If number is 0, then this section is disabled
	return;
}
?>

	<div class="section-content-wrapper testimonial-content-wrapper testimonial-slider owl-carousel">
	<?php
		$thumbnails = array();

		for ( $i = 1; $i <= $wen_biz_number; $i++ ) {
			$content            = get_theme_mod( 'wen_biz_testimonial_content_' . $i );
			$wen_biz_target = get_theme_mod( 'wen_biz_testimonial_target_' . $i ) ? '_blank': '_self';
			$wen_biz_link   = get_theme_mod( 'wen_biz_testimonial_link_' . $i, '#' );
			$wen_biz_title  = get_theme_mod( 'wen_biz_testimonial_title_' . $i );
			$image              = $thumbnails[] = get_theme_mod( 'wen_biz_testimonial_image_' . $i );
			$position           = get_theme_mod( 'wen_biz_testimonial_position_' . $i );

			if ( function_exists( 'qtrans_convertURL' ) ) {
				$wen_biz_link = qtrans_convertURL( $wen_biz_link );
			}

			?>
			<article id="post-<?php echo esc_attr( $i ) ?>" class="post hentry custom-image">
				<div class="hentry-inner">
					<div class="entry-container">
						<?php if ( $content ) : ?>
							<div class="entry-content">
								<?php echo wp_kses_post( apply_filters( 'the_content', $content ) ); ?>
							</div>
						<?php endif; ?>
						<div class="author-thumb">
							<?php if ( $image ) : ?>
								<div class="post-thumbnail">
									<a target="<?php echo esc_attr( $wen_biz_target ); ?>" href="<?php echo esc_url( $wen_biz_link ); ?>">
									<img class="wp-post-image" src="<?php echo esc_url( $image ); ?>" />
									</a>
								</div>
							<?php endif; ?>
							<?php if ( $wen_biz_title || $position ) : ?>
								<header class="entry-header">
									<?php if ( $wen_biz_title ): ?>
									<h2 class="entry-title"><a target="<?php echo esc_attr( $wen_biz_target ); ?>" href="<?php echo esc_url( $wen_biz_link ); ?>"><?php echo wp_kses_post( $wen_biz_title ); ?></a></h2>
									<?php endif; ?>

									<?php if ( $position ): ?>
									<div class="entry-meta"><span class="position"><?php echo esc_html( $position ); ?></span></div>
									<?php endif; ?>
								</header>
							<?php endif; ?>
						</div><!-- .author-thumb -->	
					</div><!-- .entry-container -->
				</div><!-- .hentry-inner -->
			</article>
			<?php
		}
	?>
	</div><!-- .section-content-wrapper -->
